package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.ExtendContent;

/**
 * <p>
 * 辅助内容表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface IExtendContentService extends IService<ExtendContent> {

    /**
     * 添加当前
     * @param extendContent
     * @return
     */
    ResponseBean extendContentAdd(ExtendContent extendContent);

    /**
     * 根据状态查当前的轮播图
     * @param extendContent
     * @return
     */
    ResponseBean selectExtendContentList(ExtendContent extendContent);

    /**
     * 开屏
     * @param extendContent
     * @return
     */
    ResponseBean selectExtendContentListShowType(ExtendContent extendContent);
}
